<template>
  <section class="section">
    <div class="container">
      <div class="columns is-multiline" v-if="!$apollo.loading">
        <div class="column is-3" v-for="(repository, index) in viewer.repositories.nodes" :key="index">
          <div class="card">
            <header class="card-header">
              <p class="card-header-title">
                {{ repository.name }}
              </p>
            </header>
            <div class="card-content">
              <div class="content">
                {{ repository.description }}
              </div>
            </div>
            <footer class="card-footer">
              <a :href="repository.url" target="_blank" class="card-footer-item">View</a>
              <router-link :to="`/add/repository/${repository.name}`" class="card-footer-item">Select</router-link>
            </footer>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import REPOSITORIES_QUERY from '@/graphql/Github/Repositories.gql'
export default {
  apollo: {
    $client: 'github',
    viewer: {
      query: REPOSITORIES_QUERY
    }
  }
}
</script>

<style lang="scss" scoped>
.card {
  margin: 0.5rem;
}
</style>
